Page MenuHomePhabricator

Production release for iOS Wikipedia app on Wednesday 15th April 2015 @ 9:15am Pacific
Closed, ResolvedPublic

Description

Front-end stuff scheduled for production:

  • Lead images
  • Image viewer
  • Read more
  • Collapsed tables
  • Share a Fact

Back-end stuff scheduled for production:

  • MediaWikiKit article storage system

Event Timeline

Deskana created this task.Jan 13 2015, 7:25 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Needs Triage.
Deskana added subscribers: Aklapper, Deskana.

Dan, how should we triage this? :-)

Deskana renamed this task from Production release for iOS Wikipedia app in February (provisional) to Production release for iOS Wikipedia app in March (provisional).
Deskana updated the task description. (Show Details)
Deskana triaged this task as Normal priority.
Deskana set Security to None.
Eloquence moved this task from Unscheduled to March 2015: Features & Apps on the Roadmap board.
Deskana updated the task description. (Show Details)Mar 5 2015, 8:48 PM

As for Android, do we have a projected "week of" ETA yet?

Current plan is for both releases to take place on 30th March. We're on track for that, provided that Apple takes less than two weeks to review the app; current estimated review time is 7 days, so that should be fine.

Deskana renamed this task from Production release for iOS Wikipedia app in March (provisional) to Production release for iOS Wikipedia app on 30th March 2015.Mar 14 2015, 12:50 AM

Updated title since we're more certain about this now.

Note that this may be pushed back by a few days due to some bugs that were found and fixed, but which have caused us to delay the release. I'm still hopeful at this stage that the release will go out in the same week.

Deskana renamed this task from Production release for iOS Wikipedia app on 30th March 2015 to Next production release for iOS Wikipedia app.Mar 23 2015, 11:04 PM

I have changed the title of this task to reflect the unfortunate reality that this is not ready to ship right now.

Deskana moved this task from March 30-April 3 to June 2015 on the Roadmap board.Mar 23 2015, 11:04 PM

@Deskana, can we project a revised release date yet?

Restricted Application added a project: Notice. · View Herald TranscriptApr 2 2015, 7:57 PM

@Deskana can weigh in, as there may be factors beyond the following. Here's some info from my side:

  • Is a blog post wanted in conjunction? Or do we want to "soft launch" as soon as approved, with blog post and social media done later?

Note, TSG is working on iOS 6 & iOS 7 - see the Google Sheet.

Deskana added a comment.EditedApr 2 2015, 8:18 PM

@Eloquence I feel comfortable setting a provisional date of Monday 13th April. I will update this task to reflect that.

As noted by @dr0ptp4kt, this is provided that Apple accepts our submission, is an estimate based on the timeline for review by Apple and the turnaround of The Specialists Guild, and is contingent on QA not finding further release blockers.

Deskana renamed this task from Next production release for iOS Wikipedia app to Production release for iOS Wikipedia app on Monday 13th April 2015 (provisional).Apr 2 2015, 8:19 PM
Deskana updated the task description. (Show Details)
Eloquence moved this task from April 2015: Platform to April 27-May 1 on the Roadmap board.
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 3 2015, 8:42 PM
Deskana renamed this task from Production release for iOS Wikipedia app on Monday 13th April 2015 (provisional) to Production release for iOS Wikipedia app on Monday 13th April 2015.Apr 6 2015, 6:51 PM

This has been approved by Apple so I have removed the "provisional" qualifier from the title, although as always this is still provisional on the (rare, I think) possibility of us finding blockers.

TSG findings not blockers, per @Deskana.

greg added a subscriber: greg.Apr 7 2015, 7:52 PM

I'm coordinating with Juliet on this as we speak so we should stick to the given date (i.e. 13th April).

gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:44 PM

I'm going to wait until next week to announce this in Tech News since I'd prefer to be able to link to the blog post etc.

The release date is being pushed back two days so Communications has a little bit more time to pitch to journalists. This potential increase in impact is worth pushing it back two days.

Deskana renamed this task from Production release for iOS Wikipedia app on Monday 13th April 2015 to Production release for iOS Wikipedia app on Wednesday 15th April 2015.Apr 9 2015, 8:05 PM

The release date is being pushed back two days so Communications has a little bit more time to pitch to journalists.

Thank you for the update! It makes even more sense to wait before announcing in TN then :)

Eloquence moved this task from April 27-May 1 to April 13-17 on the Roadmap board.Apr 9 2015, 9:56 PM
Deskana renamed this task from Production release for iOS Wikipedia app on Wednesday 15th April 2015 to Production release for iOS Wikipedia app on Wednesday 15th April 2015 @ 9:15am Pacific.Apr 14 2015, 4:07 PM
Deskana claimed this task.Apr 14 2015, 4:10 PM
gpaumier closed this task as Resolved.Apr 16 2015, 8:51 PM

Per iTunes ("Updated: Apr 15, 2015") and the announcement blog post, this is now done.